package com.libreecm.commonAPI.model.users;

/**
 * Role Enum.
 */
public enum Role{

    USER("user"), ADMIN("admin"), SYSTEM("system");
    private final String value;

    Role(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static Role fromValue(String v) {
        for (Role c : Role.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
